package com.iotechn.unimall.data.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import java.util.Date;
import lombok.Data;

/**
 * Generate Code By Unimall
 */
@Data
@TableName("unimall_express_bill")
public class ExpressBillDO extends SuperDO {

     /* id */
    @TableField("id")
    private Long id;
     /* 客户编号 */
    @TableField("customer_no")
    private String customerNo;
     /* 客户名称 */
    @TableField("customer")
    private String customer;
     /* 快递种类 */
    @TableField("courier_aervices")
    private String courierAervices;
     /* 产品 */
    @TableField("goods")
    private String goods;
     /* 重量 */
    @TableField("weight")
    private String weight;
     /* 单价 */
    @TableField("price")
    private Double price;
     /* 总价 */
    @TableField("amount")
    private Double amount;
     /* 支付方式 */
    @TableField("pay_type")
    private String payType;
     /* 备注 */
    @TableField("remarks")
    private String remarks;
     /* remark */
    @TableField("remark")
    private String remark;
     /* status */
    @TableField("status")
    private Integer status;
     /* gmtCreate */
    @TableField("gmt_create")
    private Date gmtCreate;
     /* gmtUpdate */
    @TableField("gmt_update")
    private Date gmtUpdate;
     /* userId */
    @TableField("user_id")
    private Long userId;
     /* adminId */
    @TableField("admin_id")
    private Long adminId;
     /* companyId */
    @TableField("company_id")
    private Long companyId;
     /* updatePeople */
    @TableField("update_people")
    private String updatePeople;

}
