package com.iotechn.unimall.data.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import java.util.Date;
import lombok.Data;

/**
 * Generate Code By Unimall
 */
@Data
@TableName("unimall_express_business")
public class ExpressBusinessDO extends SuperDO {

     /* id */
    @TableField("id")
    private Long id;
     /* 业务编号 */
    @TableField("business_no")
    private String businessNo;
     /* 日期 */
    @TableField("express_date")
    private String expressDate;
     /* 快递公司 */
    @TableField("courier_aervices")
    private String courierAervices;
     /* 客户编号 */
    @TableField("customer_no")
    private String customerNo;
     /* 发件人 */
    @TableField("sender")
    private String sender;
     /* 电话 */
    @TableField("phone")
    private String phone;
     /* 收件人 */
    @TableField("addressee")
    private String addressee;
     /* 收件人地址 */
    @TableField("recipient_address")
    private String recipientAddress;
     /* 收件人电话 */
    @TableField("recipient_phone")
    private String recipientPhone;
     /* 货品 */
    @TableField("goods")
    private String goods;
     /* 重量 */
    @TableField("weight")
    private String weight;
     /* 体积 */
    @TableField("volume")
    private String volume;
     /* 金额 */
    @TableField("money")
    private Double money;
     /* 状态 */
    @TableField("status")
    private Integer status;
     /* gmtCreate */
    @TableField("gmt_create")
    private Date gmtCreate;
     /* gmtUpdate */
    @TableField("gmt_update")
    private Date gmtUpdate;
     /* userId */
    @TableField("user_id")
    private Long userId;
     /* adminId */
    @TableField("admin_id")
    private Long adminId;
     /* companyId */
    @TableField("company_id")
    private Long companyId;

}
