package com.iotechn.unimall.data.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import java.util.Date;
import lombok.Data;

/**
 * Generate Code By Unimall
 */
@Data
@TableName("unimall_product_sales")
public class ProductSalesDO extends SuperDO {

     /* id */
    @TableField("id")
    private Long id;
     /* 日期 */
    @TableField("sale_date")
    private String saleDate;
     /* 销售单号 */
    @TableField("sale_no")
    private String saleNo;
     /* 客户名称 */
    @TableField("customer")
    private String customer;
     /* 电话 */
    @TableField("phone")
    private String phone;
     /* 备注 */
    @TableField("remark")
    private String remark;
     /* 商品名称 */
    @TableField("trade_name")
    private String tradeName;
     /* 货品 */
    @TableField("article_no")
    private String articleNo;
     /* 规格型号 */
    @TableField("specification")
    private String specification;
     /* 销售数量 */
    @TableField("num")
    private Integer num;
     /* 单位 */
    @TableField("unit")
    private String unit;
     /* 期初库存 */
    @TableField("opening_inventory")
    private Integer openingInventory;
     /* 当前库存 */
    @TableField("current_inventory")
    private Integer currentInventory;
     /* 单价 */
    @TableField("price")
    private Double price;
     /* 单盒成本 */
    @TableField("single_cost")
    private Double singleCost;
     /* 折扣 */
    @TableField("discount")
    private String discount;
     /* 折后价 */
    @TableField("discounted_price")
    private Double discountedPrice;
     /* 应收金额 */
    @TableField("amount_receivable")
    private Double amountReceivable;
     /* 实收金额 */
    @TableField("paid_amount")
    private Double paidAmount;
     /* 总成本 */
    @TableField("total_cost")
    private Double totalCost;
     /* 毛利润 */
    @TableField("gross_profit")
    private Double grossProfit;
     /* 支付方式 */
    @TableField("pay_type")
    private String payType;
     /* 备注 */
    @TableField("remarks")
    private String remarks;
     /* status */
    @TableField("status")
    private Integer status;
     /* gmtCreate */
    @TableField("gmt_create")
    private Date gmtCreate;
     /* gmtUpdate */
    @TableField("gmt_update")
    private Date gmtUpdate;
     /* userId */
    @TableField("user_id")
    private Long userId;
     /* adminId */
    @TableField("admin_id")
    private Long adminId;
     /* companyId */
    @TableField("company_id")
    private Long companyId;
     /* updatePeople */
    @TableField("update_people")
    private String updatePeople;

}
