package com.iotechn.unimall.data.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import java.util.Date;
import lombok.Data;

/**
 * Generate Code By Unimall
 */
@Data
@TableName("unimall_settlement_management")
public class SettlementManagementDO extends SuperDO {

     /* id */
    @TableField("id")
    private Long id;
     /* 商品名称 */
    @TableField("trade_name")
    private String tradeName;
    @TableField("closing_date")
    private String closingDate;
     /* 数量 */
    @TableField("num")
    private Integer num;
     /* 单价 */
    @TableField("price")
    private Double price;
     /* 成本 */
    @TableField("cost")
    private Double cost;
     /* 合计 */
    @TableField("amount")
    private Double amount;
     /* 成本合计 */
    @TableField("total_cost")
    private Double totalCost;
     /* 支付方式（1微信2支付宝3现金） */
    @TableField("how_pay")
    private String howPay;
     /* 备注 */
    @TableField("sender")
    private String sender;
     /* 状态 */
    @TableField("status")
    private Integer status;
     /* gmtCreate */
    @TableField("gmt_create")
    private Date gmtCreate;
     /* gmtUpdate */
    @TableField("gmt_update")
    private Date gmtUpdate;
     /* userId */
    @TableField("user_id")
    private Long userId;
     /* adminId */
    @TableField("admin_id")
    private Long adminId;
     /* companyId */
    @TableField("company_id")
    private Long companyId;

}
