package com.iotechn.unimall.data.dto;

import com.baomidou.mybatisplus.annotations.TableName;
import java.util.Date;
import java.util.List;

import com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;
import lombok.Data;

/**
 * Generate Code By Unimall
 */
@Data
@TableName("unimall_express_bill")
public class ExpressBillDTO extends SuperDTO {

     /* id */
    private Long id;
     /* 客户编号 */
     @Excel(name = "客户编号")
    private String customerNo;
     /* 客户名称 */
     @Excel(name = "客户名称")
    private String customer;
     /* 快递种类 */
     @Excel(name = "快递种类")
    private String courierAervices;
     /* 产品 */
     @Excel(name = "产品")
    private String goods;
     /* 重量 */
     @Excel(name = "重量")
    private String weight;
     /* 单价 */
     @Excel(name = "单价")
    private Double price;
     /* 总价 */
     @Excel(name = "总价")
    private Double amount;
     /* 支付方式 */
     @Excel(name = "支付方式")
    private String payType;
     /* 备注 */
     @Excel(name = "备注")
    private String remarks;
     /* remark */
    private String remark;
     /* status */
    private Integer status;
     /* gmtCreate */
    private Date gmtCreate;
     /* gmtUpdate */
    private Date gmtUpdate;
     /* userId */
    private Long userId;
     /* adminId */
    private Long adminId;
     /* companyId */
    private Long companyId;
     /* updatePeople */
    private String updatePeople;
    private List<ExpressBillDTO> expressBillDTOS;

}
