package com.iotechn.unimall.data.dto;

import com.baomidou.mybatisplus.annotations.TableName;
import java.util.Date;
import java.util.List;

import com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;
import lombok.Data;

/**
 * Generate Code By Unimall
 */
@Data
@TableName("unimall_foreign_exchange")
public class ForeignExchangeDTO extends SuperDTO {

     /* id */
    private Long id;
     /* 客户编号 */
     @Excel(name = "客户编号")
    private String customerNo;
     /* 收款日期 */
     @Excel(name = "收款日期")
    private String collectionDate;
     /* 汇率 */
     @Excel(name = "汇率")
    private Double exchange;
     /* 人民币 */
     @Excel(name = "人民币")
    private Double rmb;
     /* 欧元 */
     @Excel(name = "欧元")
    private Double euro;
     /* 备注 */
     @Excel(name = "备注")
    private String remark;
     /* status */
    private Integer status;
     /* gmtCreate */
    private Date gmtCreate;
     /* gmtUpdate */
    private Date gmtUpdate;
     /* userId */
    private Long userId;
     /* adminId */
    private Long adminId;
     /* companyId */
    private Long companyId;
     /* updatePeople */
    private String updatePeople;
    private List<ForeignExchangeDTO> foreignExchangeDTOS;

}
