package com.iotechn.unimall.data.dto;

import com.baomidou.mybatisplus.annotations.TableName;
import java.util.Date;
import java.util.List;

import lombok.Data;

/**
 * Generate Code By Unimall
 */
@Data
@TableName("unimall_maritime_administration")
public class MaritimeAdministrationDTO extends SuperDTO {

     /* id */
    private Long id;
     /* 集装箱柜号 */
    private String containerNo;
     /* 客户编号 */
    private String customerNo;
     /* 包裹数 */
    private Integer count;
     /* 人民币 */
    private Double rmb;
     /* 欧元 */
    private Double euro;
     /* 备注 */
    private String remark;
     /* status */
    private Integer status;
     /* gmtCreate */
    private Date gmtCreate;
     /* gmtUpdate */
    private Date gmtUpdate;
     /* userId */
    private Long userId;
     /* adminId */
    private Long adminId;
     /* companyId */
    private Long companyId;
     /* updatePeople */
    private String updatePeople;
    private List<MaritimeAdministrationDTO> maritimeAdministrationDTOS;

    private List<MaritimeDetailDTO> maritimeDetailDTOS;

}
