package com.iotechn.unimall.data.dto;

import com.baomidou.mybatisplus.annotations.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * Generate Code By Unimall
 */
@Data
public class StatisticsView extends SuperDTO {

     /* 日期 */
    private String staticDate;
     /* 收入金额 */
    private Double revenueAmount;
     /* 支出金额 */
    private Double expenditureAmount;
    /* 实收 */
    private Double receipts;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private String startDate;
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private String endDate;
}
