package com.iotechn.unimall.data.dto;

import com.baomidou.mybatisplus.annotations.TableName;
import java.util.Date;
import java.util.List;

import com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;
import lombok.Data;

/**
 * Generate Code By Unimall
 */
@Data
@TableName("unimall_stock_management")
public class StockManagementDTO extends SuperDTO {

     /* id */
    private Long id;
     /* 商品名称 */
     @Excel(name = "商品名称")
    private String tradeName;
     /* 库存 */
     @Excel(name = "库存")
    private Integer num;
     /* 单价 */
     @Excel(name = "单价")
    private Double price;
     /* 成本 */
     @Excel(name = "成本")
    private Double cost;
     /* 备注1 */
     @Excel(name = "备注1")
    private String remarks;
     /* 备注2 */
     @Excel(name = "备注2")
    private String remark;
     /* 状态 */
    private Integer status;
     /* gmtCreate */
    private Date gmtCreate;
     /* gmtUpdate */
    private Date gmtUpdate;
     /* userId */
    private Long userId;
     /* adminId */
    private Long adminId;
     /* companyId */
    private Long companyId;
     /* companyId */
    private List<StockManagementDTO> stockManagementDTOS;

}
