package com.iotechn.unimall.data.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import java.util.Date;
import lombok.Data;

/**
 * Generate Code By Unimall
 */
@Data
@TableName("unimall_expenditure_manage")
public class ExpenditureManageDO extends SuperDO {

     /* id */
    @TableField("id")
    private Long id;
     /* 支出日期 */
    @TableField("expenditure_date")
    private String expenditureDate;
     /* 支出内容 */
    @TableField("expenditure_content")
    private String expenditureContent;
     /* 支出金额 */
    @TableField("expenditure_amount")
    private Double expenditureAmount;
     /* 备注 */
    @TableField("remark")
    private String remark;
     /* gmtCreate */
    @TableField("gmt_create")
    private Date gmtCreate;
     /* gmtUpdate */
    @TableField("gmt_update")
    private Date gmtUpdate;
     /* userId */
    @TableField("user_id")
    private Long userId;
     /* adminId */
    @TableField("admin_id")
    private Long adminId;
     /* companyId */
    @TableField("company_id")
    private Long companyId;
     /* updatePeople */
    @TableField("update_people")
    private String updatePeople;

}
