package com.iotechn.unimall.data.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import java.util.Date;
import lombok.Data;

/**
 * Generate Code By Unimall
 */
@Data
@TableName("unimall_foreign_exchange")
public class ForeignExchangeDO extends SuperDO {

     /* id */
    @TableField("id")
    private Long id;
     /* 客户编号 */
    @TableField("customer_no")
    private String customerNo;
     /* 收款日期 */
    @TableField("collection_date")
    private String collectionDate;
     /* 汇率 */
    @TableField("exchange")
    private Double exchange;
     /* 人民币 */
    @TableField("rmb")
    private Double rmb;
     /* 欧元 */
    @TableField("euro")
    private Double euro;
     /* 备注 */
    @TableField("remark")
    private String remark;
     /* status */
    @TableField("status")
    private Integer status;
     /* gmtCreate */
    @TableField("gmt_create")
    private Date gmtCreate;
     /* gmtUpdate */
    @TableField("gmt_update")
    private Date gmtUpdate;
     /* userId */
    @TableField("user_id")
    private Long userId;
     /* adminId */
    @TableField("admin_id")
    private Long adminId;
     /* companyId */
    @TableField("company_id")
    private Long companyId;
     /* updatePeople */
    @TableField("update_people")
    private String updatePeople;

}
