package com.iotechn.unimall.data.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import java.util.Date;
import java.util.List;

import lombok.Data;

/**
 * Generate Code By Unimall
 */
@Data
@TableName("unimall_maritime_administration")
public class MaritimeAdministrationDO extends SuperDO {

     /* id */
    @TableField("id")
    private Long id;
     /* 集装箱柜号 */
    @TableField("container_no")
    private String containerNo;
     /* 客户编号 */
    @TableField("customer_no")
    private String customerNo;
     /* 包裹数 */
    @TableField("count")
    private Integer count;
     /* 人民币 */
    @TableField("rmb")
    private Double rmb;
     /* 欧元 */
    @TableField("euro")
    private Double euro;
     /* 备注 */
    @TableField("remark")
    private String remark;
     /* status */
    @TableField("status")
    private Integer status;
     /* gmtCreate */
    @TableField("gmt_create")
    private Date gmtCreate;
     /* gmtUpdate */
    @TableField("gmt_update")
    private Date gmtUpdate;
     /* userId */
    @TableField("user_id")
    private Long userId;
     /* adminId */
    @TableField("admin_id")
    private Long adminId;
     /* companyId */
    @TableField("company_id")
    private Long companyId;
     /* updatePeople */
    @TableField("update_people")
    private String updatePeople;
    /* updatePeople */
    @TableField(exist = false)
    private List<MaritimeDetailDO> maritimeDetailDOS;


    /* 快递公司 */
    @TableField(exist = false)
    private String courierServicesCompany;
    /* 已收到单号 */
    @TableField(exist = false)
    private String receivedNo;
    /* 内件明细 */
    @TableField(exist = false)
    private String internalDetails;
    /* 实重 */
    @TableField(exist = false)
    private String weight;
    /* 长 */
    @TableField(exist = false)
    private String long1;
    /* 宽 */
    @TableField(exist = false)
    private String wide;
    /* 高 */
    @TableField(exist = false)
    private String height;
    /* 体积重 */
    @TableField(exist = false)
    private String bulkWeight;



    @TableField(exist = false)
    private String flag;

}
