package com.iotechn.unimall.data.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import java.util.Date;
import lombok.Data;

/**
 * Generate Code By Unimall
 */
@Data
@TableName("unimall_maritime_detail")
public class MaritimeDetailDO extends SuperDO {

     /* id */
    @TableField("id")
    private Long id;
     /* infoId */
    @TableField("info_id")
    private Long infoId;
     /* 快递公司 */
    @TableField("courier_services_company")
    private String courierServicesCompany;
     /* 已收到单号 */
    @TableField("received_no")
    private String receivedNo;
     /* 内件明细 */
    @TableField("internal_details")
    private String internalDetails;
     /* 实重 */
    @TableField("weight")
    private String weight;
     /* 长 */
    @TableField("long")
    private String long1;
     /* 宽 */
    @TableField("wide")
    private String wide;
     /* 高 */
    @TableField("height")
    private String height;
     /* 体积重 */
    @TableField("bulk_weight")
    private String bulkWeight;
     /* 备注 */
    @TableField("remark")
    private String remark;
     /* status */
    @TableField("status")
    private Integer status;
     /* gmtCreate */
    @TableField("gmt_create")
    private Date gmtCreate;
     /* gmtUpdate */
    @TableField("gmt_update")
    private Date gmtUpdate;
     /* userId */
    @TableField("user_id")
    private Long userId;
     /* adminId */
    @TableField("admin_id")
    private Long adminId;
     /* companyId */
    @TableField("company_id")
    private Long companyId;
     /* updatePeople */
    @TableField("update_people")
    private String updatePeople;



//    /* 集装箱柜号 */
//    @TableField(exist = false)
//    private String containerNo;
//    /* 客户编号 */
//    @TableField(exist = false)
//    private String customerNo;
//    /* 包裹数 */
//    @TableField(exist = false)
//    private Integer count;
//    /* 人民币 */
//    @TableField(exist = false)
//    private Double rmb;
//    /* 欧元 */
//    @TableField(exist = false)
//    private Double euro;


}
