package com.iotechn.unimall.data.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import java.util.Date;
import lombok.Data;

/**
 * Generate Code By Unimall
 */
@Data
@TableName("unimall_stock_management")
public class StockManagementDO extends SuperDO {

     /* id */
    @TableField("id")
    private Long id;
     /* 商品名称 */
    @TableField("trade_name")
    private String tradeName;
     /* 库存 */
    @TableField("num")
    private Integer num;
     /* 单价 */
    @TableField("price")
    private Double price;
     /* 成本 */
    @TableField("cost")
    private Double cost;
     /* 备注1 */
    @TableField("remarks")
    private String remarks;
     /* 备注2 */
    @TableField("remark")
    private String remark;
     /* 状态 */
    @TableField("status")
    private Integer status;
     /* gmtCreate */
    @TableField("gmt_create")
    private Date gmtCreate;
     /* gmtUpdate */
    @TableField("gmt_update")
    private Date gmtUpdate;
     /* userId */
    @TableField("user_id")
    private Long userId;
     /* adminId */
    @TableField("admin_id")
    private Long adminId;
     /* companyId */
    @TableField("company_id")
    private Long companyId;

}
