package com.iotechn.unimall.data.dto;

import com.baomidou.mybatisplus.annotations.TableName;
import java.util.Date;
import lombok.Data;

/**
 * Generate Code By Unimall
 */
@Data
@TableName("unimall_maritime_detail")
public class MaritimeDetailDTO extends SuperDTO {

     /* id */
    private Long id;
     /* infoId */
    private Long infoId;
     /* 快递公司 */
    private String courierServicesCompany;
     /* 已收到单号 */
    private String receivedNo;
     /* 内件明细 */
    private String internalDetails;
     /* 实重 */
    private String weight;
     /* 长 */
    private String long1;
     /* 宽 */
    private String wide;
     /* 高 */
    private String height;
     /* 体积重 */
    private String bulkWeight;
     /* 备注 */
    private String remark;
     /* status */
    private Integer status;
     /* gmtCreate */
    private Date gmtCreate;
     /* gmtUpdate */
    private Date gmtUpdate;
     /* userId */
    private Long userId;
     /* adminId */
    private Long adminId;
     /* companyId */
    private Long companyId;
     /* updatePeople */
    private String updatePeople;


    /* 集装箱柜号 */
    private String containerNo;
    /* 客户编号 */
    private String customerNo;
    /* 包裹数 */
    private Integer count;
    /* 人民币 */
    private Double rmb;
    /* 欧元 */
    private Double euro;

}
