package com.iotechn.unimall.data.dto;

import com.baomidou.mybatisplus.annotations.TableName;
import java.util.Date;
import java.util.List;

import com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;
import lombok.Data;

/**
 * Generate Code By Unimall
 */
@Data
@TableName("unimall_product_sales")
public class ProductSalesDTO extends SuperDTO {

     /* id */
    private Long id;
     /* 日期 */
     @Excel(name = "日期")
    private String saleDate;
     /* 销售单号 */
     @Excel(name = "销售单号")
    private String saleNo;
     /* 客户名称 */
     @Excel(name = "客户名称")
    private String customer;
     /* 电话 */
     @Excel(name = "电话")
    private String phone;
     /* 备注 */
     @Excel(name = "备注")
    private String remark;
     /* 商品名称 */
     @Excel(name = "商品名称")
    private String tradeName;
     /* 货品 */
     @Excel(name = "货品")
    private String articleNo;
     /* 规格型号 */
     @Excel(name = "规格型号")
    private String specification;
     /* 销售数量 */
     @Excel(name = "销售数量")
    private Integer num;
     /* 单位 */
     @Excel(name = "单位")
    private String unit;
     /* 期初库存 */
     @Excel(name = "期初库存")
    private Integer openingInventory;
     /* 当前库存 */
     @Excel(name = "当前库存")
    private Integer currentInventory;
     /* 单价 */
     @Excel(name = "单价")
    private Double price;
     /* 单盒成本 */
     @Excel(name = "单盒成本")
    private Double singleCost;
     /* 折扣 */
     @Excel(name = "折扣")
    private String discount;
     /* 折后价 */
     @Excel(name = "折后价")
    private Double discountedPrice;
     /* 应收金额 */
     @Excel(name = "应收金额")
    private Double amountReceivable;
     /* 实收金额 */
     @Excel(name = "实收金额")
    private Double paidAmount;
     /* 总成本 */
     @Excel(name = "总成本")
    private Double totalCost;
     /* 毛利润 */
     @Excel(name = "毛利润")
    private Double grossProfit;
     /* 支付方式 */
     @Excel(name = "支付方式")
    private String payType;
     /* 备注 */
     @Excel(name = "备注")
    private String remarks;
     /* status */
    private Integer status;
     /* gmtCreate */
    private Date gmtCreate;
     /* gmtUpdate */
    private Date gmtUpdate;
     /* userId */
    private Long userId;
     /* adminId */
    private Long adminId;
     /* companyId */
    private Long companyId;
     /* updatePeople */
    private String updatePeople;
    private List<ProductSalesDTO> productSalesDTOS;

}
